org.eclipse.emf.cdo.spi.server

## Interface ISessionProtocol

- All Superinterfaces:
    CDOProtocol, CDOProtocolConstants, IAuthenticationProtocol, INotifier

      public interface ISessionProtocol
      extends CDOProtocol, IAuthenticationProtocol, INotifier

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocol

      `CDOProtocol.CommitData, CDOProtocol.CommitNotificationInfo`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

      `CDOProtocolConstants.UnitOpcode`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

      `NO_MORE_REMOTE_SESSIONS, PROTOCOL_NAME, PROTOCOL_VERSION, QUERY_LANGUAGE_INSTANCES, QUERY_LANGUAGE_INSTANCES_EXACT, QUERY_LANGUAGE_INSTANCES_TYPE, QUERY_LANGUAGE_RESOURCES, QUERY_LANGUAGE_RESOURCES_EXACT_MATCH, QUERY_LANGUAGE_RESOURCES_FOLDER_ID, QUERY_LANGUAGE_XREFS, QUERY_LANGUAGE_XREFS_SOURCE_REFERENCES, QUERY_RESULT_EXCEPTION, QUERY_RESULT_PRIMITIVE, QUERY_RESULT_REVISION, REFRESH_CHANGED_OBJECT, REFRESH_DETACHED_OBJECT, REFRESH_FINISHED, REFRESH_PACKAGE_UNIT, RELEASE_ALL_LOCKS, REMOTE_SESSION_CLOSED, REMOTE_SESSION_CUSTOM_DATA, REMOTE_SESSION_OPENED, REMOTE_SESSION_SUBSCRIBED, REMOTE_SESSION_UNSUBSCRIBED, REPLICATE_BRANCH, REPLICATE_COMMIT, REPLICATE_FINISHED, REPLICATE_LOCKAREA, REVISION_DOES_NOT_EXIST, ROLLBACK_REASON_COMMIT_CONFLICT, ROLLBACK_REASON_CONTAINMENT_CYCLE, ROLLBACK_REASON_OPTIMISTIC_LOCKING, ROLLBACK_REASON_REFERENTIAL_INTEGRITY, ROLLBACK_REASON_UNIT_INTEGRITY, ROLLBACK_REASON_UNKNOWN, ROLLBACK_REASON_VALIDATION_ERROR, SIGNAL_AUTHENTICATION, SIGNAL_BRANCH_NOTIFICATION, SIGNAL_CHANGE_CREDENTIALS, SIGNAL_CHANGE_SUBSCRIPTION, SIGNAL_CLOSE_VIEW, SIGNAL_COMMIT_DELEGATION, SIGNAL_COMMIT_NOTIFICATION, SIGNAL_COMMIT_TRANSACTION, SIGNAL_CREATE_BRANCH, SIGNAL_CREDENTIALS_CHALLENGE, SIGNAL_DISABLE_PASSIVE_UPDATE, SIGNAL_ENABLE_LOCK_NOTIFICATION, SIGNAL_GET_REMOTE_SESSIONS, SIGNAL_HANDLE_REVISIONS, SIGNAL_LOAD_BRANCH, SIGNAL_LOAD_BRANCHES, SIGNAL_LOAD_CHANGE_SETS, SIGNAL_LOAD_CHUNK, SIGNAL_LOAD_COMMIT_DATA, SIGNAL_LOAD_COMMIT_INFOS, SIGNAL_LOAD_LOB, SIGNAL_LOAD_MERGE_DATA, SIGNAL_LOAD_OBJECT_LIFETIME, SIGNAL_LOAD_PACKAGES, SIGNAL_LOAD_PERMISSIONS, SIGNAL_LOAD_REVISION_BY_VERSION, SIGNAL_LOAD_REVISIONS, SIGNAL_LOAD_SUB_BRANCHES, SIGNAL_LOCK_AREA, SIGNAL_LOCK_DELEGATION, SIGNAL_LOCK_NOTIFICATION, SIGNAL_LOCK_OBJECTS, SIGNAL_LOCK_STATE, SIGNAL_OBJECT_LOCKED, SIGNAL_OPEN_SESSION, SIGNAL_OPEN_VIEW, SIGNAL_OPENED_SESSION, SIGNAL_QUERY, SIGNAL_QUERY_CANCEL, SIGNAL_QUERY_LOBS, SIGNAL_REFRESH_SESSION, SIGNAL_REMOTE_MESSAGE, SIGNAL_REMOTE_MESSAGE_NOTIFICATION, SIGNAL_REMOTE_SESSION_NOTIFICATION, SIGNAL_RENAME_BRANCH, SIGNAL_REPLICATE_REPOSITORY, SIGNAL_REPLICATE_REPOSITORY_RAW, SIGNAL_REPOSITORY_STATE_NOTIFICATION, SIGNAL_REPOSITORY_TIME, SIGNAL_REPOSITORY_TYPE_NOTIFICATION, SIGNAL_RESET_TRANSACTION, SIGNAL_SET_LOCK_NOTIFICATION_MODE, SIGNAL_SET_PASSIVE_UPDATE_MODE, SIGNAL_SWITCH_TARGET, SIGNAL_UNIT, SIGNAL_UNLOCK_DELEGATION, SIGNAL_UNLOCK_OBJECTS, SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS, SIGNAL_XA_COMMIT_TRANSACTION_CANCEL, SIGNAL_XA_COMMIT_TRANSACTION_PHASE1, SIGNAL_XA_COMMIT_TRANSACTION_PHASE2, SIGNAL_XA_COMMIT_TRANSACTION_PHASE3, X_COMPRESSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOAuthenticationResult` | `sendAuthenticationChallenge(byte[] randomToken)` Deprecated. As of 4.2 `#sendAuthenticationChallenge(Challenge)` is called.
    `void` | `sendBranchNotification(InternalCDOBranch branch)` Deprecated. As of 4.3 use `#sendBranchNotification(InternalCDOBranch, ChangeKind)`.
    `void` | `sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
    `void` | `sendCommitNotification(CDOCommitInfo commitInfo)` Deprecated. As of 4.2 use `sendCommitNotification(CDOCommitInfo, boolean)`.
    `void` | `sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)` Deprecated. As of 4.3 use `#sendCommitNotification(CommitNotificationInfo)`.
    `void` | `sendCommitNotification(CDOProtocol.CommitNotificationInfo info)`
    `void` | `sendLockNotification(CDOLockChangeInfo lockChangeInfo)`
    `void` | `sendRemoteMessageNotification(InternalSession sender, CDORemoteSessionMessage message)`
    `void` | `sendRemoteSessionNotification(InternalSession sender, byte opcode)`
    `void` | `sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)` Deprecated.
    `void` | `sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
    `void` | `sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocol

      `getSession`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAuthenticationProtocol

      `sendAuthenticationChallenge, sendCredentialsChallenge`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### sendAuthenticationChallenge

          @Deprecated
          CDOAuthenticationResult sendAuthenticationChallenge(byte[] randomToken)
                                                                    throws java.lang.Exception

      Deprecated. As of 4.2 `#sendAuthenticationChallenge(Challenge)` is called.
      Throws:
        `java.lang.Exception`
      Since:
        4.0

    - #### sendRepositoryTypeNotification

          void sendRepositoryTypeNotification(CDOCommonRepository.Type oldType,
                                              CDOCommonRepository.Type newType)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendRepositoryStateNotification

          @Deprecated
          void sendRepositoryStateNotification(CDOCommonRepository.State oldState,
                                                            CDOCommonRepository.State newState)
                                                     throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### sendRepositoryStateNotification

          void sendRepositoryStateNotification(CDOCommonRepository.State oldState,
                                               CDOCommonRepository.State newState,
                                               CDOID rootResourceID)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        4.1

    - #### sendBranchNotification

          @Deprecated
          void sendBranchNotification(InternalCDOBranch branch)
                                            throws java.lang.Exception

      Deprecated. As of 4.3 use `#sendBranchNotification(InternalCDOBranch, ChangeKind)`.
      Throws:
        `java.lang.Exception`

    - #### sendBranchNotification

          void sendBranchNotification(InternalCDOBranch branch,
                                      CDOBranchChangedEvent.ChangeKind changeKind)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        4.3

    - #### sendCommitNotification

          @Deprecated
          void sendCommitNotification(CDOCommitInfo commitInfo)
                                            throws java.lang.Exception

      Deprecated. As of 4.2 use `sendCommitNotification(CDOCommitInfo, boolean)`.
      Throws:
        `java.lang.Exception`

    - #### sendCommitNotification

          @Deprecated
          void sendCommitNotification(CDOCommitInfo commitInfo,
                                                   boolean clearResourcePathCache)
                                            throws java.lang.Exception

      Deprecated. As of 4.3 use `#sendCommitNotification(CommitNotificationInfo)`.
      Throws:
        `java.lang.Exception`
      Since:
        4.2

    - #### sendCommitNotification

          void sendCommitNotification(CDOProtocol.CommitNotificationInfo info)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        4.3

    - #### sendRemoteSessionNotification

          void sendRemoteSessionNotification(InternalSession sender,
                                             byte opcode)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendRemoteMessageNotification

          void sendRemoteMessageNotification(InternalSession sender,
                                             CDORemoteSessionMessage message)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendLockNotification

          void sendLockNotification(CDOLockChangeInfo lockChangeInfo)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        4.1

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html